## sip4-qt3 4.10.1

=== debian/changelog ===
sip4-qt3 (4.10.1-0ubuntu1) lucid; urgency=low

  * New usptream release
    - Don't call dh_installchangelogs otherwise is FTBS

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 23 Mar 2010 22:31:15 +0100

sip4-qt3 (4.10.0-2ubuntu2) lucid; urgency=low

  * Fix Replaces; they need to be (<< 4.10.0-2ubuntu1) rather than (<<
    4.10.0-0ubuntu1), because 4.10.0-0ubuntu1 still used the old package
    names (LP: #517289).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Feb 2010 12:42:16 -0800

sip4-qt3 (4.10.0-2ubuntu1) lucid; urgency=low

  * Sync with Debian
  * Change version number to 4.10.0
  * Bump replaces to version 4.10.0-0ubuntu1

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Feb 2010 18:39:55 +0000

sip4-qt3 (4.10-2) unstable; urgency=low

  * Upload to unstable (Closes: #552511)
  * siputils.py does not check errno any more (Closes: #560418)
  * debian/control
    - Updated standards version to 3.8.4, no changes necessary
    - Make python-sip4 break those packages that do not depend on
      python2.x-sip4 or a specific version of python-sip4
  * debian/manpages/dh_sip.1
    - Create man page for dh_sip
  * debian/manpages/sip.1
    - Update man page for sip
  * debian/README.source
    - Removed, not needed for source format "3.0 (quilt)"

 -- Torsten Marek <shlomme@debian.org>  Tue, 02 Feb 2010 21:27:14 +0100

sip4-qt3 (4.10-1) experimental; urgency=low

  * New upstream release (Closes: #558680)
  * Convert to source format "3.0 (quilt)"
  * debian/patches/01_configure
    - Dropped, applied upstream
  * debian/control
    - Renamed all packages from *sip4* to sip
    - Added transitional packages
    - Merged sip4 into python-sip-dev
    - python-sip now has the public API in the provides field (Closes: #554024)
  * debian/dh_sip
    - Added debhelper script that generates substvars for packages
      that directly depend on python-sip
  * debian/rules
    - Drop dpatch handling
  * debian/patches/siputils_debian_changes.diff
    - Updated to only include debian-specific patches
  * debian/patches/siputils_objdir_module_fix.diff
    - Fixed a bug that broke out-of-tree building of moc object files

 -- Torsten Marek <shlomme@debian.org>  Tue, 26 Jan 2010 23:57:37 +0100

sip4-qt3 (4.10.0-0ubuntu1) lucid; urgency=low

  * New upstream release, new ABI

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 15 Jan 2010 12:16:18 +0000

sip4-qt3 (4.9.3-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 03 Dec 2009 22:34:44 +0100

sip4-qt3 (4.9.1-snapshot-20091015-0ubuntu1) karmic; urgency=low

  * New upstream snapshot, closes LP: #451915 "printer-applet.py
    crashed with SIGSEGV in PyDict_GetItem()"

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 17 Oct 2009 01:17:35 +0100

sip4-qt3 (4.9-1) unstable; urgency=high

  * New upstream release that corrects a licensing issue 
    (Closes: #543730) (LP: #444742)
  * Justificatoin of urgency=high due to licensing in testing
  * debian/patches/01_configure.dpatch:
    - Refreshed for new source version
  * debian/patches/02_siputils.dpatch:
    - Refreshed for new source version
  * Updated copyright file to reflect new licensing terms

 -- Michael Casadevall <mcasadevall@debian.org>  Tue, 06 Oct 2009 13:26:13 -0400

sip4-qt3 (4.8.2-1) unstable; urgency=low

  [ Torsten Marek ]
  * New upstream release
  * debian/rules
    - Fix rule dependencies to allow parallel builds

  [ Michael Casadevall ]
  * debian/control:
    - Bumped standard version to 3.8.3
    - Update Maintainer field to Python Modules Packaging Team (Closes: #540937)
    - Add myself to uploaders
    - Added XS-Python-Version field
    - Bumped debhelper build-dep to 7
  * debian/README.source
    - New file to explain patch system

 -- Torsten Marek <shlomme@debian.org>  Fri, 28 Aug 2009 20:22:06 +0200

sip4-qt3 (4.8.1-1) unstable; urgency=low

  * New upstream release

 -- Torsten Marek <shlomme@debian.org>  Thu, 18 Jun 2009 20:33:33 +0200

sip4-qt3 (4.8-1) unstable; urgency=low

  [ Torsten Marek ]
  * New upstream release
  * Removed debian/pycompat, not needed anymore
  * debian/control
    - Add dependency to libjs-jquery since sip4's docs are
      now done using sphinx
  * debian/rules
    - Install configuration modules in python-sip4{,-dbg} instead of
      python-sip4-dev (Closes: #530846)

  [ Bernd Zeimetz ]
  * Fixing override disparity: Set 'debug' as sectiong for the -dbg package.
  * Bumping Standards-Version to 3.8.1, no changes needed.
  * Migrating to python-support.
  * Merging changes from Ubuntu to build for Python 2.6. We
    don't use python-central stuff, though.


 -- Torsten Marek <shlomme@debian.org>  Tue, 09 Jun 2009 22:18:29 +0200

sip4-qt3 (4.7.9-2) unstable; urgency=low

  * Upload to unstable as the package is needed for KDE4.
  * Adding myself to Uploaders.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 05 Apr 2009 20:52:40 +0200

sip4-qt3 (4.7.9-1) experimental; urgency=low

  [ Torsten Marek ]
  * New upstream release

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Torsten Marek <shlomme@debian.org>  Sat, 22 Nov 2008 18:38:16 +0100

sip4-qt3 (4.7.7-1) experimental; urgency=low

  * New upstream release

 -- Torsten Marek <shlomme@debian.org>  Tue, 12 Aug 2008 08:10:22 +0200

sip4-qt3 (4.7.6-1) unstable; urgency=low

  [ Torsten Marek ]
  * New upstream release

  [ Sandro Tosi ]
  * debian/control
    - updated Homepage field; Closes: #484595
    - bump Standards-Version to 3.8.0 (no changes needed)
  * debian/watch
    - updated

 -- Torsten Marek <shlomme@debian.org>  Wed, 11 Jun 2008 23:19:27 +0200

sip4-qt3 (4.7.4-1) unstable; urgency=low

  * New upstream release 4.7.4

 -- Torsten Marek <shlomme@debian.org>  Thu, 14 Feb 2008 23:16:48 +0100

sip4-qt3 (4.7.3-2) UNRELEASED; urgency=low

  * debian/control
    - uniforming both Vcs-Vsn and Vcs-Browser fields


