## sip4-qt3 4.10.2

=== debian/changelog ===
sip4-qt3 (4.10.2-1) unstable; urgency=low

  * New upstream release

 -- Torsten Marek <shlomme@debian.org>  Sun, 18 Apr 2010 18:06:56 +0200

sip4-qt3 (4.10.1-2) unstable; urgency=low

  * debian/control
    - Added the old python-qscintilla2 package to Breaks: of python-sip4,
      since it wasn't updated correctly in some cases
      (Closes: #571203)

 -- Torsten Marek <shlomme@debian.org>  Thu, 15 Apr 2010 09:23:42 +0200

sip4-qt3 (4.10.1-1) unstable; urgency=low

  * New upstream release
  * debian/control
    - python-sip also provides sip-api-7.1
  * debian/rules
    - upstream changelog is not shipped any more

 -- Torsten Marek <shlomme@debian.org>  Wed, 24 Mar 2010 19:22:46 +0100
