=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sip4-qt3
 Section: devel
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Bernd Zeimetz <bzed@debian.org>, Michael Casadevall <mcasadevall@debian.org>
 Build-Depends: debhelper (>= 7), python-all-dev (>= 2.3.5-10), python-all-dbg, python-support (>= 0.7.1)
 Standards-Version: 3.8.4
@@ -14,10 +13,10 @@
 Package: python-sip
 Architecture: any
 Section: python
-Provides: ${python:Provides}, sip-api-7.0
+Provides: ${python:Provides}, sip-api-7.0, sip-api-7.1
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Conflicts: python-sip4 (<< 4.10.0-2ubuntu1)
-Replaces: python-sip4 (<< 4.10.0-2ubuntu1)
+Conflicts: python-sip4 (<< 4.10)
+Replaces: python-sip4 (<< 4.10)
 Description: Python/C++ bindings generator runtime library
  SIP is a tool for generating bindings for C++ classes with some ideas
  borrowed from SWIG, but capable of tighter bindings because of its
@@ -29,8 +28,8 @@
 Section: debug
 Provides: ${python:Provides}
 Depends: python-sip (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
-Conflicts: python-sip4-dbg (<< 4.10.0-2ubuntu1)
-Replaces: python-sip4-dbg (<< 4.10.0-2ubuntu1)
+Conflicts: python-sip4-dbg (<< 4.10)
+Replaces: python-sip4-dbg (<< 4.10)
 Description: Python/C++ bindings generator runtime library (debug extension)
  SIP is a tool for generating bindings for C++ classes with some ideas
  borrowed from SWIG, but capable of tighter bindings because of its
@@ -44,8 +43,8 @@
 Depends: ${python:Depends}, python-sip (= ${binary:Version}), python-dev, ${shlibs:Depends}, libjs-jquery, ${misc:Depends}
 Recommends: python-sip (>= ${source:Version})
 Provides: python-sip4-dev, sip4
-Conflicts: python-sip4-dev (<< 4.10.0-2ubuntu1), sip4 (<< 4.10.0-2ubuntu1)
-Replaces: python-sip4-dev (<< 4.10.0-2ubuntu1), sip4 (<< 4.10.0-2ubuntu1)
+Conflicts: python-sip4-dev (<< 4.10), sip4 (<< 4.10)
+Replaces: python-sip4-dev (<< 4.10), sip4 (<< 4.10)
 Description: Python/C++ bindings generator development files
  SIP is a tool for generating bindings for C++ classes with some ideas
  borrowed from SWIG, but capable of tighter bindings because of its
@@ -72,7 +71,7 @@
 Architecture: all
 Section: python
 Depends: python-sip, ${misc:Depends}
-Breaks: python-ball (<= 1.3.1-2), python-ballview (<= 1.3.1-2), python-qwt5-qt4 (<= 5.2.1~cvs20091107+dfsg-2), python-qwt5-qt3 (<= 5.2.1~cvs20091107+dfsg-2), python-qwt3d-qt4 (<= 0.1.7~cvs20090625-3), python-qwt3d-qt3 (<= 0.1.7~cvs20090625-3)
+Breaks: python-ball (<= 1.3.1-2), python-ballview (<= 1.3.1-2), python-qwt5-qt4 (<= 5.2.1~cvs20091107+dfsg-2), python-qwt5-qt3 (<= 5.2.1~cvs20091107+dfsg-2), python-qwt3d-qt4 (<= 0.1.7~cvs20090625-3), python-qwt3d-qt3 (<= 0.1.7~cvs20090625-3), python-qscintilla2 (<= 2.4-5)
 Description: Python/C++ bindings generator runtime library (transitional package)
  SIP is a tool for generating bindings for C++ classes with some ideas
  borrowed from SWIG, but capable of tighter bindings because of its
