## sip4-qt3 4.10.5

=== debian/changelog ===
sip4-qt3 (4.10.5-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 21 Jul 2010 10:18:00 +0100
