=== debian/rules ===
--- 
+++ 
@@ -115,7 +115,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installman
-#	dh_installchangelogs ChangeLog
+	dh_installchangelogs
 	dh_installdocs -A
 	dh_installexamples
 	dh_link
