## sip4-qt3 4.11.2

=== debian/changelog ===
sip4-qt3 (4.11.2-0ubuntu2) natty; urgency=low

  * Stop trying to build python3 support in the python2 packages.
    Needs a proper fix for building python3-* packages.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Dec 2010 01:28:57 +0100

sip4-qt3 (4.11.2-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 08 Nov 2010 14:37:10 +0000

sip4-qt3 (4.11.1-0ubuntu1) natty; urgency=low

  * New upstream release
  * Add python 3 support
    - Add python3-all-dev, python3-all-dbg to build-dependencies
    - Add sipconfig_py3.py
    - Add rules to install sipconfig_py3.py

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 19 Oct 2010 23:44:39 +0200
