=== debian/rules ===
--- 
+++ 
@@ -96,7 +96,12 @@
 	$(MAKE) -C build-$* install DESTDIR=$(CURDIR)/debian/tmp
 	$(MAKE) -C dbg-build-$* install DESTDIR=$(CURDIR)/debian/python-sip-dbg
 	mkdir -p debian/python-sip/usr/lib/python$*/$(call py_sitename,$*)/
-	install -m 644 -o root -g root debian/sipconfig.py debian/python-sip/usr/lib/python$*/$(call py_sitename,$*)/
+	echo "$*"
+	if [ "$*" \< "3" ]; then \
+		install -m 644 -o root -g root debian/sipconfig.py debian/python-sip/usr/lib/python$*/$(call py_sitename,$*)/; \
+	else \
+		install -m 644 -o root -g root debian/sipconfig_py3.py debian/python-sip/usr/lib/python$*/$(call py_sitename,$*)/sipconfig.py; \
+	fi
 	install -m 644 -o root -g root build-$*/sipconfig.py debian/python-sip/usr/lib/python$*/$(call py_sitename,$*)/sipconfig_nd.py
 	install -m 644 -o root -g root dbg-build-$*/sipconfig.py debian/python-sip-dbg/usr/lib/python$*/$(call py_sitename,$*)/sipconfig_d.py
 	mkdir -p debian/python-sip-dev/usr/include/python$*
